--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Use the sexp representation of the block as a unique key for the block If you copy and paste a block, it will still have the same key
- !ruby/struct:SM::Flow::P 
  body: return &lt;Object&gt; the unique key for the block
full_name: DataMapper::Sweatshop::UniqueWorker::key_for
is_singleton: true
name: key_for
params: (&block)
visibility: public
